import { SSRProps } from './types';
import { DevCycleUser } from '@devcycle/js-client-sdk';
import { GetServerSidePropsContext } from 'next';
type IdentifiedUser = Omit<DevCycleUser, 'user_id' | 'isAnonymous'> & {
    user_id: string;
};
export declare const getServerSideDevCycle: (sdkKey: string, user: IdentifiedUser, context: GetServerSidePropsContext) => Promise<SSRProps>;
export declare const getStaticDevCycle: (sdkKey: string, user: IdentifiedUser) => Promise<SSRProps>;
export {};
